{% extends "base.html" %}
{% block content %}
	<div class="content-section">
		<form method="POST" action="">
			{{ form.hidden_tag() }}
			<fieldset class="form-group">
				<legend class="border-bottom mb-4">Join Today</legend>
				<div class="form-group">
					{{ form.username.label(class="form-control-label") }}
					{% if form.username.errors %}
						{{ form.username(class="form-control form-control-lg is-invalid") }}
						<div class="invalid-feedback">
							{% for error in form.username.errors %}
								<span>{{ error }}</span>
							{% endfor %}
						</div>
					{% else %}
						{{ form.username(class="form-control form-control-lg") }}
					{% endif %}

				<div class="form-group">
					{{ form.email.label(class="form-control-label") }}
					{% if form.email.errors %}
						{{ form.email(class="form-control form-control-lg is-invalid") }}
						<div class="invalid-feedback">
							{% for error in form.email.errors %}
								<span>{{ error }}</span>
							{% endfor %}
						</div>
					{% else %}
						{{ form.email(class="form-control form-control-lg") }}
					{% endif %}				</div>

				<div class="form-group">
					{{ form.password.label(class="form-control-label") }}
					{% if form.password.errors %}
						{{ form.password(class="form-control form-control-lg is-invalid") }}
						<div class="invalid-feedback">
							{% for error in form.password.errors %}
								<span>{{ error }}</span>
							{% endfor %}
						</div>
					{% else %}
						{{ form.password(class="form-control form-control-lg") }}
					{% endif %}
				</div>

				<div class="form-group">
					{{ form.confirm_password.label(class="form-control-label") }}
					{% if form.confirm_password.errors %}
						{{ form.confirm_password(class="form-control form-control-lg is-invalid") }}
						<div class="invalid-feedback">
							{% for error in form.confirm_password.errors %}
								<span>{{ error }}</span>
							{% endfor %}
						</div>
					{% else %}
						{{ form.confirm_password(class="form-control form-control-lg") }}
					{% endif %}
				</div>
			</fieldset>

			<div class="form-group">
                <input class="btn btn-outline-info" type="submit" value="Submit">
			</div>
		</form>

		<div class="border-top pt-3">
			<small class="text-muted">
				Already Have An Account? <a class="ml-2" href="{{ url_for('login') }}">Sign In</a>
			</small>
		</div>
	</div>

{% endblock content %}